(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      5557,        148]
NotebookOptionsPosition[      4832,        127]
NotebookOutlinePosition[      5295,        145]
CellTagsIndexPosition[      5252,        142]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.811784838760713*^9, 3.8117848414160056`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"a53ecb4d-a331-4423-a099-a7e93d0a4926"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoCompleto", "[", 
  RowBox[{"5", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8117848446607146`*^9, 3.811784860475918*^9}, {
  3.8117855536656895`*^9, 
  3.81178555395111*^9}},ExpressionUUID->"29483fc1-ffaf-4995-9755-\
c77746444ac0"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl32$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl32$$], 1, "Orden del grafo"}, 1, 5, 1}}, 
    Typeset`size$$ = {530., {267.35, 279.85}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`GVl32$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         CompleteGraph[
         VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
          10], 
         VilCretas`Valencias[
          CompleteGraph[
          VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
           10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            CompleteGraph[
            VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
             10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                CompleteGraph[
                VilCretas`Private`GVl32$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl33 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 CompleteGraph[
                 VilCretas`Private`GVl32$$, VertexLabels -> "Name", 
                  ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl33, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                CompleteGraph[
                VilCretas`Private`GVl32$$, VertexLabels -> "Name", 
                 ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            CompleteGraph[
            VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            CompleteGraph[
            VilCretas`Private`GVl32$$, VertexLabels -> "Name", ImagePadding -> 
             10]]}]}], 
      "Specifications" :> {{{VilCretas`Private`GVl32$$, 1, "Orden del grafo"},
          1, 5, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{661., {349.25, 361.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.811784861256825*^9, 3.8117848727377715`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[2]:=",ExpressionUUID->"f85a63a6-8de8-4841-9cce-efcf2a009a37"]
}, Open  ]],

Cell[TextData[{
 "\[Theta](v)=n-1 en ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["K", "n"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "d6a95260-a995-4893-8b20-961522e768d4"]
}], "Text",
 CellChangeTimes->{{3.8117856053912525`*^9, 
  3.8117856396325765`*^9}},ExpressionUUID->"53dbaa5b-a03c-48e8-a8ef-\
79f1af78dbb0"]
},
WindowToolbars->"EditBar",
WindowSize->{910.5, 403.},
WindowMargins->{{1.5, Automatic}, {18.5, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"8d0a1637-f3dd-41dc-b3c8-4bb8318b7f78"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"a53ecb4d-a331-4423-a099-a7e93d0a4926"],
Cell[CellGroupData[{
Cell[783, 27, 307, 7, 97, "Input",ExpressionUUID->"29483fc1-ffaf-4995-9755-c77746444ac0"],
Cell[1093, 36, 3376, 76, 731, "Print",ExpressionUUID->"f85a63a6-8de8-4841-9cce-efcf2a009a37"]
}, Open  ]],
Cell[4484, 115, 344, 10, 77, "Text",ExpressionUUID->"53dbaa5b-a03c-48e8-a8ef-79f1af78dbb0"]
}
]
*)

